package com.gic.haoban.manage.web.qo.content;

import com.gic.commons.web.qo.PageQo;
import com.gic.content.api.enums.MaterialSearchSceneEnum;

import java.util.List;

/**
 * @Author MUSI
 * @Date 2022/10/28 1:38 PM
 * @Description
 * @Version
 **/
public class ContentMaterialQO extends PageQo {

    /**
     * 查询场景 1:gic后台营销素材 2:好办营销素材 3:gic后台社区素材 4:gic后台审核素材 5:好办审核素材 6:小程序社区素材 7:gic后台知识库 8:好办知识库
     * @see com.gic.content.api.enums.MaterialSearchSceneEnum
     */
    private Integer queryScene = MaterialSearchSceneEnum.HAOBAN_MARKETING.value;
    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 微信企业id
     */
    private String wxEnterpriseId;

    /**
     * 素材id列表
     */
    private List<Long> contentMaterialIdList;

    /**
     * 门店id
     */
    private String storeId;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 1 最新; 2 最热;
     */
    private Integer sortType;

    /**
     * 素材类型1图文2纯文字3纯图片4视频5图文/视频6文件7富文本
     */
    private Integer materialType;

    /**
     * 素材搜索
     */
    private String search;

    /**
     * 栏目id
     */
    private Long contentColumnId;

    /**
     * 搜索类型
     * 0 搜索素材内容
     * 1 搜索商品
     */
    private Integer searchType;

    /**
     * 商品id
     */
    private String goodsId;

    private Integer storeStatusFilter;

    public Integer getQueryScene() {
        return queryScene;
    }

    public void setQueryScene(Integer queryScene) {
        this.queryScene = queryScene;
    }

    public Integer getSortType() {
        return sortType;
    }

    public void setSortType(Integer sortType) {
        this.sortType = sortType;
    }

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public Long getContentColumnId() {
        return contentColumnId;
    }

    public void setContentColumnId(Long contentColumnId) {
        this.contentColumnId = contentColumnId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public List<Long> getContentMaterialIdList() {
        return contentMaterialIdList;
    }

    public void setContentMaterialIdList(List<Long> contentMaterialIdList) {
        this.contentMaterialIdList = contentMaterialIdList;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public Integer getMaterialType() {
        return materialType;
    }

    public void setMaterialType(Integer materialType) {
        this.materialType = materialType;
    }

    public Integer getSearchType() {
        return searchType;
    }

    public void setSearchType(Integer searchType) {
        this.searchType = searchType;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public Integer getStoreStatusFilter() {
        return storeStatusFilter;
    }

    public void setStoreStatusFilter(Integer storeStatusFilter) {
        this.storeStatusFilter = storeStatusFilter;
    }
}
